Bug 465284 - (olpc-powermgmt) No power management support on OLPC XO
No power management support on OLPC XO
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
13
All Linux
high Severity high
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
: 466413 (view as bug list)
Depends On:
Blocks: FedoraOnXO 462518 F12Target
  Show dependency treegraph
 
Reported: 2008-10-02 11:51 EDT by Jeremy Katz
Modified: 2013-01-09 23:49 EST (History)
11 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-27 10:00:34 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jeremy Katz 2008-10-02 11:51:10 EDT
/sys/power/state doesn't contain ram on the XO, so suspend to RAM won't work.

This may require pulling in the olpc-pm patches
Comment 1 Jeremy Katz 2008-10-23 08:51:32 EDT
Making this more generic -- we don't have any of the OLPC power management support.

This leads to
1) No suspend
2) No poweroff on shutdown
3) No battery status in hal
4) No other power management
Comment 2 Jeremy Katz 2008-10-23 08:51:44 EDT
*** Bug 466413 has been marked as a duplicate of this bug. ***
Comment 3 Bug Zapper 2008-11-25 22:28:28 EST
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 John Gilmore 2009-04-07 17:17:44 EDT
As usual, this isn't an F10 bug, this is an ongoing bug, so the Bug Zapper did the wrong thing.  It's just part of the standard worldwide QA strategy: to automatically declare all bugs "not worth looking at" until their release goes EOL and all bugs get automatically classified WONTFIX and closed.  Nothing suspicious here, move along now.  Our QA department resolves all our bugs, mostly without effort; just look at our stats!

It appears that Red Hat has locked down their bugzilla so ordinary folks like me can't fix the bugs introduced by their buggy daemons, so I can't change this back to "rawhide" nor can I set it to "F11".
Comment 5 Matthias Clasen 2009-04-08 14:58:09 EDT
I've set it to 'rawhide' for you. 
Nice rant, btw.
Comment 6 Jesse Keating 2009-04-13 20:34:33 EDT
Definitely not a release blocker, pulling it from there.
Comment 8 Tom "spot" Callaway 2009-09-14 11:53:45 EDT
Keeping in mind that I have just inherited this bug from Jeremy Katz, do the olpc-pm patches live somewhere? We normally want to inherit such changes from the upstream kernel, is there any progress on pushing these patches into upstream?
Comment 9 Chris Ball 2009-09-14 12:59:18 EDT
This is waiting on OLPC getting olpc-pm upstream, which I don't think is happening for 2.6.32, but is still something we're interested in doing.

(The XO-1.5 isn't affected, it exposes ACPI tables instead.)
Comment 11 Bug Zapper 2010-03-15 08:06:04 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 13 development cycle.
Changing version to '13'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 12 Bug Zapper 2011-06-02 14:27:12 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 13 Bug Zapper 2011-06-27 10:00:34 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 14 Martin Dengler 2011-08-14 17:38:11 EDT
Sorry, I missed the F13 EOL warning email for this one.

Please can someone with the right access:

1) reopen
2) set the release to rawhide
3) Change the description from "OLPC XO" to "OLPC XO-1"

...?

The rationale is that, AFAICS, the XO-1 is still targeted using recent Fedora releases[1], and power management is still required[2].

1. http://wiki.laptop.org/go/Release_notes/11.2.0#Purpose
2. http://wiki.laptop.org/go/Release_notes/11.2.0#Power_management

Note You need to log in before you can comment on or make changes to this bug.